Name:           python-core-dashboard-app
Version:        2.16.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Resource management via a dashboard for the curator core project

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/usnistgov/core_dashboard_app
Source:         %{pypi_source core_dashboard_app}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'core-dashboard-app' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-core-dashboard-app
Summary:        %{summary}

%description -n python3-core-dashboard-app %_description


%prep
%autosetup -p1 -n core_dashboard_app-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-core-dashboard-app -f %{pyproject_files}


%changelog
%autochangelog